barPlot {PMCMRplus} | R Documentation

## Plotting PMCMR Objects

### Description

Plots a bar-plot for objects of class `"PMCMR"`.

### Usage

    barPlot(x, alpha = 0.05, ...)

### Arguments

`x` | an object of class `"PMCMR"`.
`alpha` | the selected alpha-level. Defaults to 0.05.
`...` | further arguments for method `barplot`.

### Value

A barplot where the height of the bars corresponds to the arithmetic mean. The extend of the whiskers are \pm z_{(1-α/2)} \times s_{\mathrm{E},i}, where the latter denotes the standard error of the ith group. Symbolic letters are depicted on top of the bars, whereas different letters indicate significant differences between groups for the selected level of alpha.

### Note

The barplot is strictly spoken only valid for normal data, as the depicted significance intervall implies symetry.

### Examples

    ## data set chickwts
    ans <- tukeyTest(weight ~ feed, data = chickwts)
    barPlot(ans)

[Package PMCMRplus version 1.6.1 Index]